------------------------------------------------------------
revno: 485
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 23:24:57 +0200
message:
  update NEWS for 0.5.3
------------------------------------------------------------
revno: 484
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 23:24:44 +0200
message:
  update path to headers to include
------------------------------------------------------------
revno: 483
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 23:06:47 +0200
message:
  bump version
------------------------------------------------------------
revno: 482
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 23:05:20 +0200
message:
  loop untill there's no data left in LZMA_compress() (fixes #537199)
------------------------------------------------------------
revno: 481
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 22:29:41 +0200
message:
  check the uncompressed stream with lzma_alone format in test_compress_large_stream
------------------------------------------------------------
revno: 480
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 22:26:35 +0200
message:
  fix flushing not running all the way till it's done (#521975)
------------------------------------------------------------
revno: 479
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Tue 2010-04-13 22:23:44 +0200
message:
  just use generate_Random for data_large
------------------------------------------------------------
revno: 478
committer: Per Øyvind Karlsen <peroyvind@mandriva.org>
branch nick: pyliblzma
timestamp: Fri 2010-04-09 03:59:35 +0200
message:
  get random data for testing compression og large block
------------------------------------------------------------
revno: 477
committer: Per Øyvind Karlsen <peroyvind@localhost.localdomain>
branch nick: pyliblzma
timestamp: Sun 2010-02-21 01:53:50 +0100
message:
  make code a bit more consistent with bz2module.c for easier maintenance...
------------------------------------------------------------
revno: 476
committer: Per Øyvind Karlsen <peroyvind@localhost.localdomain>
branch nick: pyliblzma
timestamp: Sun 2010-02-21 00:45:54 +0100
message:
  - fix segfault with LZMACompressor (#521975) (and sync layout of the related code with bz2module.c a bit too while at it)
------------------------------------------------------------
revno: 475
committer: Per Øyvind Karlsen <peroyvind@localhost.localdomain>
branch nick: pyliblzma
timestamp: Sun 2010-02-21 00:08:09 +0100
message:
  from /python/trunk/Modules/bz2module.c:
  Issue #7205: Fix a possible deadlock when using a LZMAFile object from several threads at once.
------------------------------------------------------------
revno: 474
committer: Per Øyvind Karlsen <peroyvind@localhost.localdomain>
branch nick: pyliblzma
timestamp: Sat 2010-02-20 21:57:53 +0100
message:
  fix a typo
------------------------------------------------------------
revno: 473
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Wed 2010-01-13 11:30:00 +0100
message:
  update default options string to be consistent with renamed option names
------------------------------------------------------------
revno: 472
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Wed 2010-01-13 09:28:17 +0100
message:
  move source and headers into a separate sub-directory
------------------------------------------------------------
revno: 471
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Sat 2009-11-28 09:07:27 +0100
message:
  move 'module' out of header and make it local to initlzma() which is the only place it's being used...
------------------------------------------------------------
revno: 470
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Sat 2009-11-28 09:06:07 +0100
message:
  make 'module' extern
------------------------------------------------------------
revno: 469
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Sat 2009-07-25 00:40:32 +0200
message:
  do actually execute test_main()…
------------------------------------------------------------
revno: 468
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Fri 2009-07-24 22:24:12 +0200
message:
  don't comment out tests in test_main()
------------------------------------------------------------
revno: 467
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Fri 2009-07-24 16:43:49 +0200
message:
  remove this one as it were never used…
------------------------------------------------------------
revno: 466
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Thu 2009-02-26 19:47:12 +0100
message:
  update NEWS for 0.5.2 release
------------------------------------------------------------
revno: 465
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 04:12:40 +0100
message:
  use Py_TYPE macro as bz2module.c does
------------------------------------------------------------
revno: 464
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 04:02:02 +0100
message:
  lzma iterator fails silently on MemoryError
------------------------------------------------------------
revno: 463
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 03:58:02 +0100
message:
  * support the context manager protocol
  * replace self->open with self->open
------------------------------------------------------------
revno: 462
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 03:06:54 +0100
message:
  make myFormat & myCheck of type 'char *' so that we don't have to convert
  the python objects into char* string with PyString_AsString()
------------------------------------------------------------
revno: 461
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 02:57:40 +0100
message:
  * use Py_buffer
  * change variable names to match the same as for bz2, this will also make our
  variable names consistent now :)
------------------------------------------------------------
revno: 460
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 01:51:46 +0100
message:
  ditch compatibility with python < 2.6
------------------------------------------------------------
revno: 459
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 01:48:58 +0100
message:
  use Py_buffer for buffer in LZMAFile_write()
------------------------------------------------------------
revno: 458
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 01:46:52 +0100
message:
  bump version to 0.5.2
------------------------------------------------------------
revno: 457
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-26 01:17:19 +0100
message:
  bump version to 0.5.1
------------------------------------------------------------
revno: 456
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 21:36:12 +0100
message:
  fix memleak
------------------------------------------------------------
revno: 455
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 21:25:25 +0100
message:
  fix possible, minor memleak
------------------------------------------------------------
revno: 454
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 20:37:33 +0100
message:
  reinitialize stream in reset(), not flush()!
------------------------------------------------------------
revno: 453
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 14:16:52 +0100
message:
  * ensure 64 bit variable for memlimit
  * decompress function() for decompressors object doesn't actually use the
  memlimit argument as it's passed to the during initialization, so ditch
  it..
------------------------------------------------------------
revno: 452
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 13:07:13 +0100
message:
  use 'K' rather than 'k' to ensure 64 bit value on 32 bit platforms
  ('K' == unsigned long long, 'k' == 'unsigned long', long is 64 bit only
  on 64 bit platforms)
------------------------------------------------------------
revno: 451
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:50:53 +0100
message:
  comment about compression option argument..
------------------------------------------------------------
revno: 450
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:49:27 +0100
message:
  just hardcode bufsize doc for now..
------------------------------------------------------------
revno: 449
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:39:33 +0100
message:
  make all tests pass..
------------------------------------------------------------
revno: 448
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:32:39 +0100
message:
  string length variable must of course be of type 'Py_ssize_t', not 'int',
  d'oh!
------------------------------------------------------------
revno: 447
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:12:53 +0100
message:
  we can of course not try to squeese 64 bit into 32 bit variable..
------------------------------------------------------------
revno: 446
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 09:00:04 +0100
message:
  * don't decrease reference count of levelString
  * decrease reference count only for the appropriate objects in init_lzma_options()
------------------------------------------------------------
revno: 445
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 08:53:52 +0100
message:
  oops, 'goto error;' got removed by an accident, this caused the problem
  which Py_INCREF was added to deal with previously, fix properly now :)
------------------------------------------------------------
revno: 444
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 08:44:15 +0100
message:
  increase reference count for options_dict in reset() so that changing options
  will work
------------------------------------------------------------
revno: 443
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 07:36:20 +0100
message:
  remove old comment
------------------------------------------------------------
revno: 442
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 07:35:39 +0100
message:
  * be sure to initialize myFormat
  * properly initialize LZMAOptions_Type
------------------------------------------------------------
revno: 441
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 07:34:36 +0100
message:
  pass compressor options as a dictionary
------------------------------------------------------------
revno: 440
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 01:27:04 +0100
message:
  update for 0.5.0
------------------------------------------------------------
revno: 439
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 01:19:42 +0100
message:
  update
------------------------------------------------------------
revno: 438
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 01:16:33 +0100
message:
  add warnings/error for LZMA_NO_CHECK & LZMA_UNSUPPORTED_CHECK
------------------------------------------------------------
revno: 437
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 01:04:34 +0100
message:
  pass bool variable for encoding to Util_CatchLZMAError() to handle errors
  properly depending on task
------------------------------------------------------------
revno: 436
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sun 2009-01-25 00:47:18 +0100
message:
  make rest of tests pass
------------------------------------------------------------
revno: 435
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 23:09:47 +0100
message:
  add support for setting flush mode
------------------------------------------------------------
revno: 434
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 22:26:43 +0100
message:
  fix compile warnings
------------------------------------------------------------
revno: 433
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 22:13:57 +0100
message:
  handle LZMA_OPTIONS_ERROR
------------------------------------------------------------
revno: 432
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 22:08:10 +0100
message:
  remove switch on LZMA_MODE_INVALID (it's rather useless and will also give
  compile warnings)
------------------------------------------------------------
revno: 431
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 22:06:18 +0100
message:
  * add switch case for LZMA_FINISH
  * silence a couple of warnings about possibly unitialize variables
------------------------------------------------------------
revno: 430
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 22:03:04 +0100
message:
  oops, reenable warning flags and add a couple for switch case..
------------------------------------------------------------
revno: 429
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 21:55:39 +0100
message:
  restrict flush modes only for lzma_alone
------------------------------------------------------------
revno: 428
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 20:04:59 +0100
message:
  fix compressed test string
------------------------------------------------------------
revno: 427
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 20:02:25 +0100
message:
  fix string resizing with xz
------------------------------------------------------------
revno: 426
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 20:01:46 +0100
message:
  rename module variable from 'm' to 'module' and declare it in header to make
  it global
------------------------------------------------------------
revno: 425
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 18:29:42 +0100
message:
  be sure to decrement reference count on strings so that they get freed after
  use
------------------------------------------------------------
revno: 424
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 18:29:00 +0100
message:
  add 'memlimit' option to set memory limit for decompression
------------------------------------------------------------
revno: 423
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 16:47:48 +0100
message:
  clean up s(n)printf usage and fix detection of alpha/beta/stable
------------------------------------------------------------
revno: 422
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 16:23:36 +0100
message:
  fix some obscure usage of snprintf etc..
------------------------------------------------------------
revno: 421
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 03:54:44 +0100
message:
  move declaration of filters variable to header and within LZMAFileObject so
  that it won't be deleted when leaving the init function
------------------------------------------------------------
revno: 420
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 03:42:29 +0100
message:
  use correct options variable..
------------------------------------------------------------
revno: 419
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 03:13:20 +0100
message:
  update string in file
------------------------------------------------------------
revno: 418
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 03:11:27 +0100
message:
  fix detection of encoding/decoding in FILE* object
------------------------------------------------------------
revno: 417
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 02:59:03 +0100
message:
  fix most tests for xz format and perform testing for both formats mostly..
------------------------------------------------------------
revno: 416
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 02:40:40 +0100
message:
  * update test string
  * fix suffix
  * add test file for lzma_alone
------------------------------------------------------------
revno: 415
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 01:52:24 +0100
message:
  work around segfault for now..
------------------------------------------------------------
revno: 414
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 00:22:33 +0100
message:
  add rest of xz support
------------------------------------------------------------
revno: 413
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 00:14:07 +0100
message:
  oops, forgot a couple of '\n\'
------------------------------------------------------------
revno: 412
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Sat 2009-01-24 00:00:59 +0100
message:
  properly describe return type etc..
------------------------------------------------------------
revno: 411
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 23:46:32 +0100
message:
  define default compression options (DEFAULT_OPTIONS_STRING) for all functions
  to use so that we don't have to maintain separate versions of the same string
------------------------------------------------------------
revno: 410
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 23:38:22 +0100
message:
  s/liblzma/lzma/
------------------------------------------------------------
revno: 409
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 23:24:50 +0100
message:
  fix formatting of the levels per option printed
------------------------------------------------------------
revno: 408
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 22:00:38 +0100
message:
  be sure to decrement check & format when deallocating object..
------------------------------------------------------------
revno: 407
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 21:43:11 +0100
message:
  minor cosmetics on declaration of PyObject * type
------------------------------------------------------------
revno: 406
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 21:41:14 +0100
message:
  * add 'check' to api documentation
  * update api docs on changed defaults
------------------------------------------------------------
revno: 405
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 20:55:42 +0100
message:
  add support for setting which integrity checking to use
------------------------------------------------------------
revno: 404
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 20:51:25 +0100
message:
  oops, forgot to commit this one to change value of RetVal to false when error..
------------------------------------------------------------
revno: 403
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Fri 2009-01-23 20:08:05 +0100
message:
  make use of new lzma_stream_buffer_encode() & lzma_stream_buffer_bound() from
  liblzma api
------------------------------------------------------------
revno: 402
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 10:30:55 +0100
message:
  don't use same name for format variable as the global variable
------------------------------------------------------------
revno: 401
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 10:29:31 +0100
message:
  fix number reordering which I forgot earlier when ditching eopm option..
------------------------------------------------------------
revno: 400
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 10:07:32 +0100
message:
  depth is PyObject* and not an int, so use T_OBJECT rather than T_INT
------------------------------------------------------------
revno: 399
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 09:25:15 +0100
message:
  fix some memleaks
------------------------------------------------------------
revno: 398
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 09:04:55 +0100
message:
  be sure to add both formats to options dictionary...
------------------------------------------------------------
revno: 397
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 09:04:14 +0100
message:
  parse format with PyArg_ParseTupleAndKeywords() in stead
------------------------------------------------------------
revno: 396
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:47:40 +0100
message:
  fix check for define with #elif (I think..?)
------------------------------------------------------------
revno: 395
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:46:15 +0100
message:
  add build fixes for solaris (provided by codestr0m)
------------------------------------------------------------
revno: 394
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:38:40 +0100
message:
  s/filter/filters
------------------------------------------------------------
revno: 393
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:37:11 +0100
message:
  lowest compression level is now 0
------------------------------------------------------------
revno: 392
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:27:25 +0100
message:
  update api doc about format for new xz
------------------------------------------------------------
revno: 391
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 08:23:01 +0100
message:
  add support for extreme preset
------------------------------------------------------------
revno: 390
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 07:53:24 +0100
message:
  update keywords for xz
------------------------------------------------------------
revno: 389
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 07:52:18 +0100
message:
  update long description for xz
------------------------------------------------------------
revno: 388
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 07:51:36 +0100
message:
  bump version
------------------------------------------------------------
revno: 387
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 07:49:17 +0100
message:
  fix build with python < 2.5
------------------------------------------------------------
revno: 386
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Mon 2009-01-19 07:46:04 +0100
message:
  update example code for new xz..
------------------------------------------------------------
revno: 385
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Thu 2009-01-15 20:39:13 +0100
message:
  add support for new xz format
------------------------------------------------------------
revno: 384
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Thu 2009-01-15 20:28:57 +0100
message:
  start on adding initial support for compression using new xz format..
------------------------------------------------------------
revno: 383
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:34:08 +0100
message:
  oops, too much code were removed..
------------------------------------------------------------
revno: 382
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:33:26 +0100
message:
  remove dead code
------------------------------------------------------------
revno: 381
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:31:34 +0100
message:
  support for eopm has been ditched from the api, so let's ditch it here as well..
------------------------------------------------------------
revno: 380
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:28:38 +0100
message:
  use LZMA_PRESET_DEFAULT constant from liblzma api rather than our own LZMA_PRESET_DEFAULT
------------------------------------------------------------
revno: 379
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:24:11 +0100
message:
  fix api breakage with new xz beta release
------------------------------------------------------------
revno: 378
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: trunk
timestamp: Wed 2009-01-14 19:21:48 +0100
message:
  pkg-config file has been renamed to liblzma.pc
------------------------------------------------------------
revno: 377
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Fri 2008-12-26 00:30:28 +0100
message:
  fast bytes has been renamed to nice len, forgot to rename some occurences..
------------------------------------------------------------
revno: 376
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Fri 2008-12-26 00:29:02 +0100
message:
  use md5 function from hashlib module rather than deprecated md5 module
------------------------------------------------------------
revno: 375
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Fri 2008-12-26 00:23:59 +0100
message:
  use subprocess.Popen in stead of deprecated os.popen*
------------------------------------------------------------
revno: 374
committer: Per Øyvind Karlsen <proyvind@gmail.com>
branch nick: pyliblzma
timestamp: Thu 2008-12-25 23:57:14 +0100
message:
  fix api breakage
------------------------------------------------------------
revno: 373
committer: Per Øyvind Karlsen <peroyvind@lappis.proyvind.net>
branch nick: pyliblzma
timestamp: Fri 2008-10-24 13:32:39 +0200
message:
  * update lzma due to minor changes in liblzma
  * add credit to Gustavo Niemeyer for parts of regression tests
------------------------------------------------------------
revno: 372
committer: Per Øyvind Karlsen <peroyvind@lappis.proyvind.net>
branch nick: pyliblzma
timestamp: Thu 2008-10-16 22:23:44 +0200
message:
  use 'NULL' in stead of '0' in kwlist (purely semantics)
------------------------------------------------------------
revno: 371
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sun 2008-10-12 03:03:05 +0200
message:
  bump to 0.4.1
------------------------------------------------------------
revno: 370
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Tue 2008-10-07 15:53:00 +0200
message:
  lzma_lzma_preset starts level from 1 in stead of 0 now, so don't do -1 anymore
------------------------------------------------------------
revno: 369
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 17:23:46 +0200
message:
  set memlimit to unlimited in stead of 0 (0 will probably have default value of
  1/3 of physical ram for liblzma in the future, we also probably want a setting
  to override this as well later..)
------------------------------------------------------------
revno: 368
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 17:21:47 +0200
message:
  update tests to work with new changes related to liblzma 4.999.6
------------------------------------------------------------
revno: 367
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 17:11:42 +0200
message:
  update literal context bit description with comment about limit
------------------------------------------------------------
revno: 366
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 17:09:26 +0200
message:
  kill LZMA_LP_MIN/MAX
------------------------------------------------------------
revno: 365
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 16:45:14 +0200
message:
  replace with new format
------------------------------------------------------------
revno: 364
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 16:35:16 +0200
message:
  add memory limit setting to TODO list
------------------------------------------------------------
revno: 363
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:54:12 +0200
message:
  rename LZMAFileTest to TestLZMAFile and make sure it's run properly like
  the other test classes
------------------------------------------------------------
revno: 362
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:50:57 +0200
message:
  oops, self->match_finder_dict was accidentally renamed to self->mf, thus
  self->mf got a dictionary created in stead
------------------------------------------------------------
revno: 361
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:37:49 +0200
message:
  use lzma_ret in stead of int
------------------------------------------------------------
revno: 360
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:37:35 +0200
message:
  lzma_preset_lzma has been renamed to lzma_lzma_preset
------------------------------------------------------------
revno: 359
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:32:43 +0200
message:
  fix pkg-config usage
------------------------------------------------------------
revno: 358
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Sat 2008-10-04 15:21:37 +0200
message:
  fix C89 compatibility with lzma_stream initialization
------------------------------------------------------------
revno: 357
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-10-03 23:03:01 +0200
message:
  Migrate code to using new and (hopefully) final liblzma api
------------------------------------------------------------
revno: 356
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-10-03 19:06:13 +0200
message:
  pick up compile & link flags with 'pkg-config'
------------------------------------------------------------
revno: 355
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 10:18:02 +0200
message:
  fix universal newline support test
------------------------------------------------------------
revno: 354
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 02:23:22 +0200
message:
  s/libLZMA/LZMA/
------------------------------------------------------------
revno: 353
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 02:21:41 +0200
message:
  fix "rewinding" when seeking
------------------------------------------------------------
revno: 352
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 02:17:02 +0200
message:
  set ret to LZMA_OK when closing after reading
------------------------------------------------------------
revno: 351
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 02:04:01 +0200
message:
  oops, don't comment out stuff
------------------------------------------------------------
revno: 350
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 02:03:12 +0200
message:
  add tests for LZMAFile (derived from bz2 module's tests)
------------------------------------------------------------
revno: 349
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 01:10:42 +0200
message:
  add note about bzr and launchpad project page
------------------------------------------------------------
revno: 348
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 01:08:57 +0200
message:
  bump version
------------------------------------------------------------
revno: 347
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 01:06:58 +0200
message:
  update
------------------------------------------------------------
revno: 346
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:57:33 +0200
message:
  s/git/bzr/
------------------------------------------------------------
revno: 345
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:53:19 +0200
message:
  * add lzma options to LZMAFile__doc__
  * make f_skipnextlf bool
------------------------------------------------------------
revno: 344
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:44:28 +0200
message:
  grf, really fix typo
------------------------------------------------------------
revno: 343
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:43:41 +0200
message:
  fix typo
------------------------------------------------------------
revno: 342
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:37:31 +0200
message:
  rename liblzma -> lzma
------------------------------------------------------------
revno: 341
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:27:18 +0200
message:
  indent
------------------------------------------------------------
revno: 340
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:23:39 +0200
message:
  make f_univ_newline bool
------------------------------------------------------------
revno: 339
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Fri 2008-09-12 00:15:21 +0200
message:
  * really fix passing of lzma options
  * don't fail if lzuerror == LZMA_STREAM_END when _closing()
------------------------------------------------------------
revno: 338
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 23:40:53 +0200
message:
  fix handling of lzma options in init
------------------------------------------------------------
revno: 337
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 23:01:15 +0200
message:
  * rename lzma_close to lzma_close_real
  * create a new lzma_close wrapper function calling lzma_close_real and move
  fclose() to it in stead
------------------------------------------------------------
revno: 336
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 22:51:43 +0200
message:
  * be sure to set self->open to false after closing
  * pass NULL in stead of self->fp->stream to Util_CatchlibLZMAError when self->fp
  has been closed
------------------------------------------------------------
revno: 335
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 22:45:54 +0200
message:
  annihilate ->mode, use ->fp->eof in stead
------------------------------------------------------------
revno: 334
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 22:43:51 +0200
message:
  ensure that lzus isn't NULL before check lzus->avail_out
------------------------------------------------------------
revno: 333
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 22:36:50 +0200
message:
  gah, lzma files were opened in wrong mode, write in stead of read and vice verca..
------------------------------------------------------------
revno: 332
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 21:54:41 +0200
message:
  set self->open to true at end of init
------------------------------------------------------------
revno: 331
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 21:49:36 +0200
message:
  fix mode setting in init
------------------------------------------------------------
revno: 330
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 21:37:51 +0200
message:
  don't set eof, it's handled by lzma_FILE
------------------------------------------------------------
revno: 329
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 21:35:43 +0200
message:
  replace 'int mode' with 'bool open' since lzma_FILE already provides 'bool eof'
------------------------------------------------------------
revno: 328
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 21:22:57 +0200
message:
  s/eof = 1/eof = true/
------------------------------------------------------------
revno: 327
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 20:56:57 +0200
message:
  start on moving to use liblzma_options
------------------------------------------------------------
revno: 326
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 20:26:19 +0200
message:
  rename lzma_open to lzma_open_real which can handle custom presets and create
  a new lzma_open wrapper function for it to act the same way as previously
------------------------------------------------------------
revno: 325
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 19:13:47 +0200
message:
  fix passing of mode to lzma_open (this needs to be done in a more proper way later though..)
------------------------------------------------------------
revno: 324
committer: Per Øyvind Karlsen <peroyvind@localhost>
branch nick: pyliblzma
timestamp: Thu 2008-09-11 18:58:23 +0200
message:
  change compression level to lzma's default
------------------------------------------------------------
revno: 323
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 15:45:30 +0200
message:
  first attempt of LZMAFile implementation done
------------------------------------------------------------
revno: 322
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 13:38:01 +0200
message:
  start work on a file object class based on bz2's
------------------------------------------------------------
revno: 321
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 13:18:10 +0200
message:
  add lzma_ret argument so that lzma return code can be passed back
------------------------------------------------------------
revno: 320
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 12:52:09 +0200
message:
  rename CatchlibLZMAError to Util_CatchlibLZMAError (to be consistent
  with bz2 module code)
------------------------------------------------------------
revno: 319
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 12:37:19 +0200
message:
  don't make functions static
------------------------------------------------------------
revno: 318
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 12:16:15 +0200
message:
  * rename DEFAULTALLOC to SMALLCHUNK (to be consistent with code of bz2 module)
  * add BIGCHUNK
------------------------------------------------------------
revno: 317
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 12:02:05 +0200
message:
  * add a header with prototypes etc.
  * use bool type
------------------------------------------------------------
revno: 316
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 11:55:18 +0200
message:
  add #ifdef on top of file
------------------------------------------------------------
revno: 315
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 11:15:33 +0200
message:
  simplify by removing lzma_open() function and rename lzma_open_internal()
  to lzma_open(), since we only open files now anyways :)
------------------------------------------------------------
revno: 314
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 10:40:05 +0200
message:
  indent to our liking
------------------------------------------------------------
revno: 313
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 10:32:18 +0200
message:
  remove file descriptor stuff which we don't need
------------------------------------------------------------
revno: 312
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 10:31:15 +0200
message:
  start on a lzma_FILE* object (using code derived from RPM)
------------------------------------------------------------
revno: 311
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 09:11:43 +0200
message:
  move BUFSIZE stuff to liblzma_util.h
------------------------------------------------------------
revno: 310
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 09:07:54 +0200
message:
  be sure to actually include liblzma_util.h
------------------------------------------------------------
revno: 309
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 09:06:56 +0200
message:
  cosmetics..
------------------------------------------------------------
revno: 308
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-09-11 09:03:17 +0200
message:
  move CatchlibLZMAError() to new liblzma_util.c
------------------------------------------------------------
revno: 307
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 23:47:32 +0200
message:
  bump version
------------------------------------------------------------
revno: 306
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 23:47:07 +0200
message:
  update
------------------------------------------------------------
revno: 305
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 23:44:43 +0200
message:
  add portability fixes for BSD (from Anders F. Björklund)
------------------------------------------------------------
revno: 304
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 23:41:39 +0200
message:
  remove leftover comment
------------------------------------------------------------
revno: 303
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 23:39:28 +0200
message:
  indent..
------------------------------------------------------------
revno: 302
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 22:47:03 +0200
message:
  bump version
------------------------------------------------------------
revno: 301
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 22:45:07 +0200
message:
  update
------------------------------------------------------------
revno: 300
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 22:42:35 +0200
message:
  fix fscked up formatting due to various tab length and use of auto expansion
------------------------------------------------------------
revno: 299
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-09-10 22:42:03 +0200
message:
  remove compiler flags madness
------------------------------------------------------------
revno: 298
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-07-18 22:13:09 +0200
message:
  rename python module name to 'lzma' to avoid possible conflicts with library name
------------------------------------------------------------
revno: 297
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-07-18 21:45:42 +0200
message:
  hmm, lzma_code() was removed by mistake, put it back..
------------------------------------------------------------
revno: 296
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-07-18 21:42:49 +0200
message:
  Revert "hmm, lzma_code() was removed by mistake, put it back.."
  
  This reverts commit 2d3be1b57fcdec19a7524f1c15fd0211f360fa5b.
------------------------------------------------------------
revno: 295
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-07-18 21:41:45 +0200
message:
  hmm, lzma_code() was removed by mistake, put it back..
------------------------------------------------------------
revno: 294
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-06-05 00:15:22 +0200
message:
  fix test on BUFSIZ as lasse's suggestions
------------------------------------------------------------
revno: 293
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-06-05 00:11:47 +0200
message:
  no use in calling lzma_code() twice since it all gets done in once
------------------------------------------------------------
revno: 292
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 03:26:01 +0200
message:
  only add a small set of options for compilers not supporting gnu99 as they might not support all the additional options
------------------------------------------------------------
revno: 291
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 02:44:16 +0200
message:
  bump version
------------------------------------------------------------
revno: 290
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 02:44:05 +0200
message:
  update news
------------------------------------------------------------
revno: 289
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 02:43:38 +0200
message:
  add some background info on project
------------------------------------------------------------
revno: 288
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 02:29:55 +0200
message:
  add setup.cfg
------------------------------------------------------------
revno: 287
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 02:26:55 +0200
message:
  * only use -std=gnu99 if possible
  * only use -pedantic if -std=gnu99
------------------------------------------------------------
revno: 286
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 01:15:22 +0200
message:
  use gnu99 rather than c99
------------------------------------------------------------
revno: 285
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 01:08:11 +0200
message:
  make a {} section around for loop which we move off_t i to make it more intuitive and still avoid breakage :)
------------------------------------------------------------
revno: 284
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 01:05:33 +0200
message:
  define inline as __inline__ if not present (fixes build for C89)
------------------------------------------------------------
revno: 283
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 01:00:27 +0200
message:
  check if __STDC_VERSION__ is defined before comparing it (avoids warning for non-C99)
------------------------------------------------------------
revno: 282
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 00:48:02 +0200
message:
  declare i at top of function to fix (warning filled;) build with non-C99 compiler
------------------------------------------------------------
revno: 281
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-28 00:46:15 +0200
message:
  use off_t rather than int for offset
------------------------------------------------------------
revno: 280
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 16:30:16 +0200
message:
  fix url
------------------------------------------------------------
revno: 279
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 15:14:10 +0200
message:
  add NEWS file
------------------------------------------------------------
revno: 278
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 15:06:27 +0200
message:
  only generate changelog when doing sdist
------------------------------------------------------------
revno: 277
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 15:02:20 +0200
message:
  add format test
------------------------------------------------------------
revno: 276
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 14:58:27 +0200
message:
  sort match finders
------------------------------------------------------------
revno: 275
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 14:54:00 +0200
message:
  proper indenting..
------------------------------------------------------------
revno: 274
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 14:41:52 +0200
message:
  add format option
------------------------------------------------------------
revno: 273
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:37:44 +0200
message:
  consistently use multiline strings with '\' in stead of multiple strings
------------------------------------------------------------
revno: 272
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:30:53 +0200
message:
  * bump version
  * generate ChangeLog
------------------------------------------------------------
revno: 271
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:18:16 +0200
message:
  add mandriva rpm spec
------------------------------------------------------------
revno: 270
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:11:41 +0200
message:
  properly add headers
------------------------------------------------------------
revno: 269
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:10:25 +0200
message:
  add test for new format
------------------------------------------------------------
revno: 268
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 13:09:44 +0200
message:
  add file compressed with new format to test
------------------------------------------------------------
revno: 267
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-23 12:43:30 +0200
message:
  add manifest
------------------------------------------------------------
revno: 266
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 23:08:52 +0200
message:
  use for loops in stead of while loops..
------------------------------------------------------------
revno: 265
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 23:05:39 +0200
message:
  always check if object is initialized, otherwise it'll segfault ie. when using __new__ and not initializing it..
------------------------------------------------------------
revno: 264
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 22:26:33 +0200
message:
  s//not/ :p
------------------------------------------------------------
revno: 263
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 22:12:47 +0200
message:
  always call lzma_end()
------------------------------------------------------------
revno: 262
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 21:08:27 +0200
message:
  increase dictionary size to detect memleaks
------------------------------------------------------------
revno: 261
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:55:27 +0200
message:
  insert newline..
------------------------------------------------------------
revno: 260
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:48:31 +0200
message:
  fix zealotish satisfaction of -Wconversion warning..
------------------------------------------------------------
revno: 259
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:47:53 +0200
message:
  * don't include reference count on init, otherwise it won't deallocate properly
------------------------------------------------------------
revno: 258
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:35:58 +0200
message:
  bah, fix PyString_FromStringAndSize() usage
------------------------------------------------------------
revno: 257
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:35:01 +0200
message:
  set is_initialised to false when flushing
------------------------------------------------------------
revno: 256
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:33:54 +0200
message:
  fix zealotish usage of tp_alloc
------------------------------------------------------------
revno: 255
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:25:31 +0200
message:
  do actually return an empty string if flushmode is LZMA_RUN..
------------------------------------------------------------
revno: 254
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:25:02 +0200
message:
  use decref in stead of clear since there's no need to set it to NULL..
------------------------------------------------------------
revno: 253
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 20:18:04 +0200
message:
  * don't increment reference count on init, otherwise it won't deallocate properly when it should
  * decrease reference count on lzma_options as well at time of deallocate
------------------------------------------------------------
revno: 252
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 15:43:28 +0200
message:
  improve libLZMAOptions_setattr
------------------------------------------------------------
revno: 251
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-22 15:20:11 +0200
message:
  use Py_InitModule3 in stead of Py_InitModule4
------------------------------------------------------------
revno: 250
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-20 15:35:49 +0200
message:
  don't test beyond 64mb dict size
------------------------------------------------------------
revno: 249
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-20 15:35:01 +0200
message:
  don't lower max dict size since it's actually restricted by memory..
------------------------------------------------------------
revno: 248
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 03:46:28 +0200
message:
  fix max dictionary size for 32 bit
------------------------------------------------------------
revno: 247
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 03:31:01 +0200
message:
  lgplv3
------------------------------------------------------------
revno: 246
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 03:30:44 +0200
message:
  lgpl v3..
------------------------------------------------------------
revno: 245
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 03:30:29 +0200
message:
  add spec
------------------------------------------------------------
revno: 244
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 02:34:41 +0200
message:
  add readme
------------------------------------------------------------
revno: 243
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 02:28:10 +0200
message:
  add license
------------------------------------------------------------
revno: 242
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 00:10:46 +0200
message:
  * much improved, always use setuptools
  * set name of package to pyliblzma
------------------------------------------------------------
revno: 241
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-19 00:07:35 +0200
message:
  define version with macro from setup.py in stead..
------------------------------------------------------------
revno: 240
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 23:59:30 +0200
message:
  * move rest of options defines to liblzma_options
  * redefine LZMA_DICTIONARY_SIZE_MAX to a size we know at least work
  * bump to version 0.3
------------------------------------------------------------
revno: 239
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 23:58:54 +0200
message:
  improve dictionary size test
------------------------------------------------------------
revno: 238
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 22:29:53 +0200
message:
  rename l4z to lzu
------------------------------------------------------------
revno: 237
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 22:27:42 +0200
message:
  move some more options stuff from liblzma to liblzma_options
------------------------------------------------------------
revno: 236
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 22:24:35 +0200
message:
  add regression tests for compression options
------------------------------------------------------------
revno: 235
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 21:57:13 +0200
message:
  add check for match_finder_cycles
------------------------------------------------------------
revno: 234
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 21:43:04 +0200
message:
  fix handling of options argument
------------------------------------------------------------
revno: 233
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 20:30:02 +0200
message:
  use re in stead of deprecated sre
------------------------------------------------------------
revno: 232
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 20:12:25 +0200
message:
  fix typo
------------------------------------------------------------
revno: 231
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 20:05:16 +0200
message:
  just fix some comments etc..
------------------------------------------------------------
revno: 230
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 05:02:17 +0200
message:
  fix match_finder description
------------------------------------------------------------
revno: 229
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 02:56:04 +0200
message:
  move init_lzma_options to liblzma_options
------------------------------------------------------------
revno: 228
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 02:29:56 +0200
message:
  initialize stuff in initliblzma() with PyType_Ready rather than in alloc function..
------------------------------------------------------------
revno: 227
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-18 02:24:31 +0200
message:
  * move libLZMA_options_get to liblzma_options.c
  * display settings set by each level preset
------------------------------------------------------------
revno: 226
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-17 23:48:45 +0200
message:
  don't include descrobject.h, we don't need it
------------------------------------------------------------
revno: 225
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-17 23:47:50 +0200
message:
  read values from variables in stead of hardcoding them
------------------------------------------------------------
revno: 224
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:47:56 +0200
message:
  fixie..
------------------------------------------------------------
revno: 223
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:47:45 +0200
message:
  thanks..
------------------------------------------------------------
revno: 222
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:27:00 +0200
message:
  jeje
------------------------------------------------------------
revno: 221
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:25:32 +0200
message:
  oppdater
------------------------------------------------------------
revno: 220
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:22:14 +0200
message:
  let's call it version 0.2 now :)
------------------------------------------------------------
revno: 219
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:20:14 +0200
message:
  fix fetching of constants..
------------------------------------------------------------
revno: 218
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:19:42 +0200
message:
  jeje..
------------------------------------------------------------
revno: 217
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 23:15:25 +0200
message:
  add a lots of docs and stuff
------------------------------------------------------------
revno: 216
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 03:13:56 +0200
message:
  use PyObject_HEAD in stead of PyObject_VAR_HEAD
------------------------------------------------------------
revno: 215
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 02:51:30 +0200
message:
  don't do check for NULL nor return it
------------------------------------------------------------
revno: 214
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-16 02:49:53 +0200
message:
  simplify LZMAOptions a bit
------------------------------------------------------------
revno: 213
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-15 21:39:55 +0200
message:
  don't call init_lzma_options() unless any keywords is given as arguments
------------------------------------------------------------
revno: 212
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-15 20:30:39 +0200
message:
  Create a LZMAOptions class with various options as descriptor members to better document these and have constants available
------------------------------------------------------------
revno: 211
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-15 01:07:35 +0200
message:
  describe lzma_options
------------------------------------------------------------
revno: 210
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-15 00:00:31 +0200
message:
  pass dictionary size in bytes in stead of bits
------------------------------------------------------------
revno: 209
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 23:48:10 +0200
message:
  start on making it easier to pass options to lzma encoder
------------------------------------------------------------
revno: 208
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 13:53:11 +0200
message:
  add unconsumed_tail to members
------------------------------------------------------------
revno: 207
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 13:02:06 +0200
message:
  add crc64 tests
------------------------------------------------------------
revno: 206
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 12:30:09 +0200
message:
  add crc32 test cases (based on zlib's)
------------------------------------------------------------
revno: 205
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 11:54:36 +0200
message:
  add test for compression levels
------------------------------------------------------------
revno: 204
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 11:45:44 +0200
message:
  for some retarded reason check range returned true rather than false at failure
------------------------------------------------------------
revno: 203
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 10:56:42 +0200
message:
  best speed should be 1, not 0
------------------------------------------------------------
revno: 202
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 10:37:20 +0200
message:
  fix description a bit
------------------------------------------------------------
revno: 201
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 10:36:39 +0200
message:
  needs to break if avail_out != 0 as well..
------------------------------------------------------------
revno: 200
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 10:14:49 +0200
message:
  lzma_alone seem to be able to decompress streams without end of payload marker set without knowing length, so let's drop maxlength..
------------------------------------------------------------
revno: 199
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 07:31:35 +0200
message:
  update with end of payload marker tests
------------------------------------------------------------
revno: 198
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 07:17:10 +0200
message:
  rename keyword to eopm since it's end of payload marker and not end of stream marker..
------------------------------------------------------------
revno: 197
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 06:33:14 +0200
message:
  set eos to True when compressing strings for comparions with streams
------------------------------------------------------------
revno: 196
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 06:32:58 +0200
message:
  renamed to liblzma.c
------------------------------------------------------------
revno: 195
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 06:32:43 +0200
message:
  moved to tests
------------------------------------------------------------
revno: 194
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 06:29:46 +0200
message:
  set uncompressed size in lzma header by default and make it possible to embed end of payload marker also.
------------------------------------------------------------
revno: 193
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 05:42:13 +0200
message:
  cleanup and simplify code
------------------------------------------------------------
revno: 192
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 05:12:44 +0200
message:
  use python's reference counting in stead of manual free()
------------------------------------------------------------
revno: 191
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 05:09:33 +0200
message:
  no sense in initializing next_in & avail_in in init since they get initialized before use in compress later anyways..
------------------------------------------------------------
revno: 190
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 05:01:23 +0200
message:
  fix typo
------------------------------------------------------------
revno: 189
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 05:00:37 +0200
message:
  cleanup and remove useless code
------------------------------------------------------------
revno: 188
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 04:50:27 +0200
message:
  remove a leftover print used for debugging
------------------------------------------------------------
revno: 187
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 04:41:30 +0200
message:
  add two more regression tests for LZMACompressor
------------------------------------------------------------
revno: 186
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 04:25:48 +0200
message:
  add regression tests for compressor object as well
------------------------------------------------------------
revno: 185
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 03:50:56 +0200
message:
  fix so that input actually gets compressed by initializing self->alone.uncompressed_size
------------------------------------------------------------
revno: 184
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 02:22:07 +0200
message:
  give NULL as parameter to PyObject_HEAD_INIT() since it's dealt with *.ob_type = &PyType_Type in initliblzma()
------------------------------------------------------------
revno: 183
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-14 02:04:26 +0200
message:
  simplify compress() a bit
------------------------------------------------------------
revno: 182
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 14:32:22 +0200
message:
  entirely get rid of liblzma_error() in favour of CatchlibLZMAError
------------------------------------------------------------
revno: 181
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 14:14:47 +0200
message:
  fix match_finder
------------------------------------------------------------
revno: 180
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 09:23:14 +0200
message:
  update documentation a bit
------------------------------------------------------------
revno: 179
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 08:53:10 +0200
message:
  add test suite
------------------------------------------------------------
revno: 178
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 07:36:14 +0200
message:
  make decompressor object work a bit better at least..
------------------------------------------------------------
revno: 177
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 05:52:43 +0200
message:
  make use of CatchlibLZMAError()
------------------------------------------------------------
revno: 176
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 05:48:01 +0200
message:
  drop break that broke decompress()
------------------------------------------------------------
revno: 175
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 05:19:45 +0200
message:
  initialize args later, also describe it with a comment
------------------------------------------------------------
revno: 174
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 04:31:20 +0200
message:
  fix prototype conversioniwoer
------------------------------------------------------------
revno: 173
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 03:09:25 +0200
message:
  create an empty tuple arg at beginning of init_lzma_options and decrease it's reference count after use in stead of creating it inplace
------------------------------------------------------------
revno: 172
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 03:06:42 +0200
message:
  fix conversions with different width due to prototype
------------------------------------------------------------
revno: 171
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 02:57:07 +0200
message:
  fix so that qualifier isn't removed from pointer
------------------------------------------------------------
revno: 170
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 02:54:50 +0200
message:
  fix a lot of implicit signedness conversions
------------------------------------------------------------
revno: 169
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 02:19:17 +0200
message:
  drop useless PyInit_liblzma
------------------------------------------------------------
revno: 168
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 02:14:42 +0200
message:
  declare prototype for initliblzma to avoid warnings
------------------------------------------------------------
revno: 167
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 02:01:32 +0200
message:
  declare libLZMA_decompress as static
------------------------------------------------------------
revno: 166
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 00:26:27 +0200
message:
  return false in stead of NULL
------------------------------------------------------------
revno: 165
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-13 00:15:37 +0200
message:
  drop redundant memset as l4zs is already allocated with LZMA_STREAM_INIT_VAR
------------------------------------------------------------
revno: 164
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 12:44:52 +0200
message:
  * add CatchlibLZMAError to compressor and decompressor class
------------------------------------------------------------
revno: 163
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 12:17:43 +0200
message:
  declare PyTypeObject extern otherwise things will segfault..
------------------------------------------------------------
revno: 162
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 12:10:45 +0200
message:
  fix actual checking of lz4error in decompress()
------------------------------------------------------------
revno: 161
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 12:03:09 +0200
message:
  * create new CatchlibLZMAError function to display errors based on error return code
  * adapt compress() & decompress() to use them
  * clean up compress() & decompress()
------------------------------------------------------------
revno: 160
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 08:39:21 +0200
message:
  silly typo..
------------------------------------------------------------
revno: 159
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 07:27:36 +0200
message:
  simplify check_range
------------------------------------------------------------
revno: 158
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 07:25:50 +0200
message:
  make functions static
------------------------------------------------------------
revno: 157
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 05:54:35 +0200
message:
  use PyMODINIT_FUNC
------------------------------------------------------------
revno: 156
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 05:52:22 +0200
message:
  fix typo, should be BUFSIZ, not BUFSIZE!
------------------------------------------------------------
revno: 155
committer: root <root@localhost.(none)>
timestamp: Mon 2008-05-12 04:25:19 +0200
message:
  add more warnings and fix them as well :D
------------------------------------------------------------
revno: 154
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 03:03:17 +0200
message:
  fix buffer overflow
------------------------------------------------------------
revno: 153
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 02:51:03 +0200
message:
  fix so that we don't get pestered by warnings about unused function arguments
------------------------------------------------------------
revno: 152
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 01:42:58 +0200
message:
  * reset() should not accept keywords
  * correct flush() doc
------------------------------------------------------------
revno: 151
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 01:31:18 +0200
message:
  keep only what's needed in headers, move the rest to source
------------------------------------------------------------
revno: 150
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 00:39:05 +0200
message:
  rename variables to more consistent, unique and explicit names
------------------------------------------------------------
revno: 149
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 00:31:59 +0200
message:
  be sure to decref args
------------------------------------------------------------
revno: 148
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-12 00:14:40 +0200
message:
  * fix a lot of locking issues
  * enable threading
  * make it possible to set max_length at initialization of decompressor object
------------------------------------------------------------
revno: 147
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 20:18:34 +0200
message:
  since compressor and decompressor object no longer share same type of attributes, move these into these classes
------------------------------------------------------------
revno: 146
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 20:11:22 +0200
message:
  * fix some locking issues
  * cosmetics
------------------------------------------------------------
revno: 145
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 20:08:59 +0200
message:
  add error checking on reset()
------------------------------------------------------------
revno: 144
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 19:13:57 +0200
message:
  add back max_length
------------------------------------------------------------
revno: 143
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 19:13:04 +0200
message:
  * fix locking issues
  * cosmetics
------------------------------------------------------------
revno: 142
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 18:34:35 +0200
message:
  compression and decompression objects has different attributes, so don't use the same
------------------------------------------------------------
revno: 141
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 03:18:27 +0200
message:
  switch to use Py_ssize_t (ssize_t) in stead of size_t, since python only supports signed and not unsigned..
------------------------------------------------------------
revno: 140
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 02:56:08 +0200
message:
  add some thread stuff..
------------------------------------------------------------
revno: 139
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 01:53:09 +0200
message:
  * add thread stuff
  * replace NULL by -1 where a signed int is expected as return type
------------------------------------------------------------
revno: 138
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 01:17:36 +0200
message:
  add regression tests
------------------------------------------------------------
revno: 137
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 01:06:27 +0200
message:
  dd some locking
------------------------------------------------------------
revno: 136
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 00:46:38 +0200
message:
  really drop getattr
------------------------------------------------------------
revno: 135
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 00:44:58 +0200
message:
  return correct values, also goto error in stead of every function doing the same in case of failure.
------------------------------------------------------------
revno: 134
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 00:19:49 +0200
message:
  add back ricer optimizations ;)
------------------------------------------------------------
revno: 133
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-11 00:19:04 +0200
message:
  use int8_t in stead of int for return value (would've used bool, but -1 is considered false and 0 true so..)
------------------------------------------------------------
revno: 132
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 23:57:18 +0200
message:
  * drop useless getattr functions
  * have libLZMADecompObject set by __new__
------------------------------------------------------------
revno: 131
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 23:41:52 +0200
message:
  fix reset()
------------------------------------------------------------
revno: 130
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 23:18:51 +0200
message:
  files has been renamed..
------------------------------------------------------------
revno: 129
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 23:15:44 +0200
message:
  compression object should be working better now at lesst..
------------------------------------------------------------
revno: 128
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 17:07:01 +0200
message:
  fix classes a bit.
------------------------------------------------------------
revno: 127
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 11:03:32 +0200
message:
  * move LZMA_STREAM_INIT_VAR to compobject
  * some indenting..
------------------------------------------------------------
revno: 126
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 09:21:57 +0200
message:
  typecast libLZMAComp_reset as PyCFunction
------------------------------------------------------------
revno: 125
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 09:19:35 +0200
message:
  document argument for decompress()
------------------------------------------------------------
revno: 124
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 09:19:09 +0200
message:
  parse correct numbers of integers in compress()
------------------------------------------------------------
revno: 123
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 08:09:23 +0200
message:
  use int32_t in stead of int
------------------------------------------------------------
revno: 122
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 08:07:47 +0200
message:
  fix some comments etc..
------------------------------------------------------------
revno: 121
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 07:51:58 +0200
message:
  restructured and cleaned up a lot, made classes etc..
------------------------------------------------------------
revno: 120
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 03:46:20 +0200
message:
  use NULL in stead of 0
------------------------------------------------------------
revno: 119
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 03:45:16 +0200
message:
  actually add the compressor and decompresor classes..
------------------------------------------------------------
revno: 118
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 02:32:10 +0200
message:
  display match_finder constants as  hex
------------------------------------------------------------
revno: 117
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 02:11:28 +0200
message:
  add constants for possible match finders
------------------------------------------------------------
revno: 116
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:57:13 +0200
message:
  * full indenting
  * drop useless NULL check
------------------------------------------------------------
revno: 115
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:51:01 +0200
message:
  minor indent..
------------------------------------------------------------
revno: 114
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:49:37 +0200
message:
  make char major const char major
------------------------------------------------------------
revno: 113
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:47:05 +0200
message:
  * indenting
  * drop useless check after decoding
------------------------------------------------------------
revno: 112
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:24:40 +0200
message:
  * revert making argstring const
  * drop leftovers in init_lzma_options
  * add missing argument to fast_bytes check
------------------------------------------------------------
revno: 111
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:23:04 +0200
message:
  make argstring const char
------------------------------------------------------------
revno: 110
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:20:44 +0200
message:
  fix typo
------------------------------------------------------------
revno: 109
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:18:10 +0200
message:
  add proper check for match_finder option
------------------------------------------------------------
revno: 108
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:05:32 +0200
message:
  use true in stead of 0
------------------------------------------------------------
revno: 107
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 01:02:43 +0200
message:
  use false in stead of 0
------------------------------------------------------------
revno: 106
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:57:25 +0200
message:
  oops, forgot to add funcName to prototype
------------------------------------------------------------
revno: 105
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:44:44 +0200
message:
  use int32_t in stead of int
------------------------------------------------------------
revno: 104
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:31:31 +0200
message:
  some indenting
------------------------------------------------------------
revno: 103
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:30:11 +0200
message:
  use true in stead of 1
------------------------------------------------------------
revno: 102
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:24:59 +0200
message:
  use correct bool value
------------------------------------------------------------
revno: 101
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:24:44 +0200
message:
  use bool
------------------------------------------------------------
revno: 100
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:20:03 +0200
message:
  use uint32_t in stead of int
------------------------------------------------------------
revno: 99
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:17:42 +0200
message:
  just move comment to more relative places
------------------------------------------------------------
revno: 98
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:15:52 +0200
message:
  use switch rather than ifs
------------------------------------------------------------
revno: 97
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:12:56 +0200
message:
  add back sprintf that I removed by accident
------------------------------------------------------------
revno: 96
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sat 2008-05-10 00:05:57 +0200
message:
  fix so that function name gets passed
------------------------------------------------------------
revno: 95
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 22:23:03 +0200
message:
  hrm, drop leftover test printf
------------------------------------------------------------
revno: 94
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 22:21:28 +0200
message:
  * don't initialize size_t variables initially since PyArg_Parse* now correctly handles size_t
  * don't permit unsupported flushing types
  * some indenting..
------------------------------------------------------------
revno: 93
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 21:48:50 +0200
message:
  use same init function for all compress functions
------------------------------------------------------------
revno: 92
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 21:16:04 +0200
message:
  define LIBLZMA_H so that PyParse* will handle 64 bit integers
------------------------------------------------------------
revno: 91
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 19:31:42 +0200
message:
  use bool
------------------------------------------------------------
revno: 90
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Fri 2008-05-09 19:28:43 +0200
message:
  for C99, use C99 stdbool, if not define our own
------------------------------------------------------------
revno: 89
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 22:24:07 +0200
message:
  move all checks to a single function to avoid having to duplicate them
------------------------------------------------------------
revno: 88
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 22:09:20 +0200
message:
  use lzma_bool
------------------------------------------------------------
revno: 87
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 21:25:57 +0200
message:
  fix typo
------------------------------------------------------------
revno: 86
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 15:54:33 +0200
message:
  fix version string
------------------------------------------------------------
revno: 85
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 14:36:42 +0200
message:
  use const char in stead of char
------------------------------------------------------------
revno: 84
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 14:35:05 +0200
message:
  use const char in stead of char
------------------------------------------------------------
revno: 83
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 14:05:06 +0200
message:
  micro cosmetic..
------------------------------------------------------------
revno: 82
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 14:03:02 +0200
message:
  since Comp_dealloc and Decomp_dealloc does exactly the same, let's ditch Decomp_dealloc and only use Comp_dealloc
------------------------------------------------------------
revno: 81
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 14:01:20 +0200
message:
  split stuff out into separate files
------------------------------------------------------------
revno: 80
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 12:12:49 +0200
message:
  start splitting things up..
------------------------------------------------------------
revno: 79
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 12:08:33 +0200
message:
  comment on flushing..
------------------------------------------------------------
revno: 78
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 11:36:35 +0200
message:
  add flush constants
------------------------------------------------------------
revno: 77
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 11:07:45 +0200
message:
  avoid creating new struct when not necessary
------------------------------------------------------------
revno: 76
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 10:58:04 +0200
message:
  make it possible to pass all the options to reset() as for compressobj()
------------------------------------------------------------
revno: 75
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 10:33:48 +0200
message:
  d'oh, forgot to actually reinitialize the encoder in comp_reset()
------------------------------------------------------------
revno: 74
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 10:29:25 +0200
message:
  * finish reset() function for compressobj()
------------------------------------------------------------
revno: 73
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 10:26:34 +0200
message:
  * make a union for max_length & alone
  * start on reset() for compressobj()
------------------------------------------------------------
revno: 72
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 10:02:17 +0200
message:
  consistently use same preferred commenting style
------------------------------------------------------------
revno: 71
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 09:56:26 +0200
message:
  * store max_length in compobject so that it'll be available if doing a reset()
  * finish reset() for decompressobj()
------------------------------------------------------------
revno: 70
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 09:36:17 +0200
message:
  * unflush() should now work properly
  * start on reset() function for decompressobj()
------------------------------------------------------------
revno: 69
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 08:58:20 +0200
message:
  fix flush()
------------------------------------------------------------
revno: 68
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 08:42:01 +0200
message:
  s/LZMA_FINISH/LZMA_SYNC_FLUSH/ (fixes objdecompress)
------------------------------------------------------------
revno: 67
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 07:39:47 +0200
message:
  be sure to always initialize size_t instantly to be on the safe side..
------------------------------------------------------------
revno: 66
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 07:29:13 +0200
message:
  add back max_length check and fix it by casting max_length to int when checking if < 0
------------------------------------------------------------
revno: 65
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 07:24:01 +0200
message:
  missed one..
------------------------------------------------------------
revno: 64
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 07:17:53 +0200
message:
  don't check if max_length is < 0 since size_t is unsigned..
------------------------------------------------------------
revno: 63
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 07:15:57 +0200
message:
  work around weird issue where length has to be initialized instantly if datatype is size_t, otherwise it'll segfault
------------------------------------------------------------
revno: 62
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 06:25:34 +0200
message:
  micro cosmetic
------------------------------------------------------------
revno: 61
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 06:24:25 +0200
message:
  don't set stream.avail_out twice
------------------------------------------------------------
revno: 60
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 06:19:00 +0200
message:
  allocate memory more correctly, still won't work with size_t, but now it does at least fail gracefully..
------------------------------------------------------------
revno: 59
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 05:23:34 +0200
message:
  use uint8_t as return type for check_range
------------------------------------------------------------
revno: 58
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 05:23:15 +0200
message:
  consistently use ssize_t
------------------------------------------------------------
revno: 57
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 05:04:27 +0200
message:
  drop unused variable
------------------------------------------------------------
revno: 56
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 05:02:53 +0200
message:
  use uint32_t & int32_t..
------------------------------------------------------------
revno: 55
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:59:20 +0200
message:
  make b int32_t to avoid warning
------------------------------------------------------------
revno: 54
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:58:24 +0200
message:
  use uint8_t for flushmode
------------------------------------------------------------
revno: 53
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:58:04 +0200
message:
  use uint32_t for length
------------------------------------------------------------
revno: 52
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:55:06 +0200
message:
  use int8_t for a since it will never go much below 0, use uint32_t for b since it should always be more than 0
------------------------------------------------------------
revno: 51
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:52:39 +0200
message:
  we might as well use uint8_t for is_initialised
------------------------------------------------------------
revno: 50
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:37:23 +0200
message:
  just set alone.lzma to options in stead of using memcpy
------------------------------------------------------------
revno: 49
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 04:26:05 +0200
message:
  fix actual usage of the lzma options passed
------------------------------------------------------------
revno: 48
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 01:19:03 +0200
message:
  d'oh! actually set the options
------------------------------------------------------------
revno: 47
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 01:17:53 +0200
message:
  * d'oh, making length uint64_t resulted in segfault, set it to uint32_t in stead
  * add lzma options to compress() functions
------------------------------------------------------------
revno: 46
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 00:45:38 +0200
message:
  * make length 64 bit to handle >4GB
  * make level 8 uint8_T as level will never be out of the range 0-9
------------------------------------------------------------
revno: 45
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 00:37:37 +0200
message:
  fix passing of dictionary_size
------------------------------------------------------------
revno: 44
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Thu 2008-05-08 00:31:45 +0200
message:
  * add some documentation
  * add int constants for various lzma options
------------------------------------------------------------
revno: 43
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 22:26:50 +0200
message:
  update copyright info
------------------------------------------------------------
revno: 42
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 22:02:44 +0200
message:
  improve setup script a lot
------------------------------------------------------------
revno: 41
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 19:29:28 +0200
message:
  add author info
------------------------------------------------------------
revno: 40
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 19:24:12 +0200
message:
  since no functions from liblzma.[ch] is used, don't include & build it
------------------------------------------------------------
revno: 39
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 19:21:29 +0200
message:
  set buffer size to BUFSIZE (from <stdio.h>), if lower than 1024, set it to 8192 (by Lasse Collin's recommendation)
------------------------------------------------------------
revno: 38
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 00:42:49 +0200
message:
  fix leftover typo
------------------------------------------------------------
revno: 37
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 00:41:22 +0200
message:
  add crc32 & crc64 functions
------------------------------------------------------------
revno: 36
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Wed 2008-05-07 00:23:09 +0200
message:
  * add flush function
  * add Decomp
  * add a bunch of docs
  * fix various warnings
  * cosmetics and cleanups
------------------------------------------------------------
revno: 35
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 23:06:14 +0200
message:
  sync more with zlib module..
------------------------------------------------------------
revno: 34
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 22:48:49 +0200
message:
  make check_range() inline
------------------------------------------------------------
revno: 33
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 22:39:03 +0200
message:
  rewrite decompress() to be similar to decompress() in zlib module to make it easier to maintain and more upstream friendly
------------------------------------------------------------
revno: 32
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 21:03:33 +0200
message:
  fix "warning: missing initializer"
------------------------------------------------------------
revno: 31
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 20:51:55 +0200
message:
  fix check_range()
------------------------------------------------------------
revno: 30
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 20:45:00 +0200
message:
  fix "comparison of unsigned expression < 0 is always false"
------------------------------------------------------------
revno: 29
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 20:26:30 +0200
message:
  drop unused stream argument for liblzma_error()
------------------------------------------------------------
revno: 28
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 20:04:35 +0200
message:
  drop crappy decompressFile function, cook up something better later..
------------------------------------------------------------
revno: 27
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 20:02:09 +0200
message:
  * add warnings
  * set ISO C99 standard
------------------------------------------------------------
revno: 26
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 16:05:38 +0200
message:
  minor cosmetics..
------------------------------------------------------------
revno: 25
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:58:02 +0200
message:
  make compress() as similar to zlib's compress() as possible, making it a whole lot easier to understand for others
------------------------------------------------------------
revno: 24
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:30:23 +0200
message:
  reorganize code in compress() a bit to make it more similar to zlib's, thus more intuitive :)
------------------------------------------------------------
revno: 23
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:24:53 +0200
message:
  drop a duplicated lzma_code() in compress()
------------------------------------------------------------
revno: 22
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:17:57 +0200
message:
  more cosmetics..
------------------------------------------------------------
revno: 21
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:14:41 +0200
message:
  some cosmetics..
------------------------------------------------------------
revno: 20
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:09:48 +0200
message:
  fix typo leftover from zlib..
------------------------------------------------------------
revno: 19
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 15:07:39 +0200
message:
  * start on objcompress function
  * add it's own libLZMAError object
------------------------------------------------------------
revno: 18
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 14:08:44 +0200
message:
  compressobj done, now objcompress needs to be done..
------------------------------------------------------------
revno: 17
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 11:51:20 +0200
message:
  start on compressobj function
------------------------------------------------------------
revno: 16
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 04:33:34 +0200
message:
  drop useless ;, they're not needed for macros..
------------------------------------------------------------
revno: 15
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 04:31:12 +0200
message:
  drop Byte typedef and just go on using uint8_t in stead
------------------------------------------------------------
revno: 14
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 04:29:27 +0200
message:
  correctly use BLOCK_SIZE for malloc
------------------------------------------------------------
revno: 13
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 04:27:15 +0200
message:
  add decompress function
------------------------------------------------------------
revno: 12
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 01:51:39 +0200
message:
  * use lzma_ret
  * add Py_[BEGIN,END]_ALLOW_THREADS
------------------------------------------------------------
revno: 11
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Tue 2008-05-06 00:05:35 +0200
message:
  add decompress function to decompress strings passed from python
------------------------------------------------------------
revno: 10
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-05 20:55:03 +0200
message:
  rename some functions
------------------------------------------------------------
revno: 9
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-05 19:34:10 +0200
message:
  s/decode/compress/
------------------------------------------------------------
revno: 8
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Mon 2008-05-05 19:22:26 +0200
message:
  * change module name to liblzma
  * add version
------------------------------------------------------------
revno: 7
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 21:39:54 +0200
message:
  start on python bindings..
------------------------------------------------------------
revno: 6
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 19:32:16 +0200
message:
  rename..
------------------------------------------------------------
revno: 5
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 10:37:29 +0200
message:
  proper indenting..
------------------------------------------------------------
revno: 4
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 10:09:31 +0200
message:
  move prototypes etc. over to a new header file
------------------------------------------------------------
revno: 3
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 09:48:40 +0200
message:
  add proper functions for initializing, reading and writing etc..
------------------------------------------------------------
revno: 2
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 08:25:42 +0200
message:
  start on the actual real coding
------------------------------------------------------------
revno: 1
committer: Per Øyvind Karlsen <peroyvind@localhost.(none)>
timestamp: Sun 2008-05-04 07:09:22 +0200
message:
  create an initial minimal utility for decoding of lzma to get to know the api..
